dirmngr: Require --allow-version-check even if --use-tor is used.
authorWerner Koch <wk@gnupg.org>
Tue, 31 Jan 2017 12:22:52 +0000 (13:22 +0100)
committerWerner Koch <wk@gnupg.org>
Tue, 31 Jan 2017 12:24:24 +0000 (13:24 +0100)
* dirmngr/dirmngr.c (housekeeping_thread): Load swdb only if the
option is set.

Signed-off-by: Werner Koch <wk@gnupg.org>
dirmngr/dirmngr.c
doc/dirmngr.texi

index 15ba33b..7e640d4 100644 (file)
@@ -1798,7 +1798,7 @@ housekeeping_thread (void *arg)
   if (network_activity_seen)
     {
       network_activity_seen = 0;
-      if (opt.use_tor || opt.allow_version_check)
+      if (opt.allow_version_check)
         dirmngr_load_swdb (&ctrlbuf, 0);
     }
 
index fcc174f..7fc11a2 100644 (file)
@@ -266,8 +266,8 @@ seconds.
 @item --allow-version-check
 @opindex allow-version-check
 Allow Dirmngr to connect to @code{https://versions.gnupg.org} to get
-the list of current software versions.  If this option is enabled, or
-if @option{use-tor} is active, the list is retrieved when the local
+the list of current software versions.  If this option is enabled
+the list is retrieved in case the local
 copy does not exist or is older than 5 to 7 days.  See the option
 @option{--query-swdb} of the command @command{gpgconf} for more
 details.  Note, that regardless of this option a version check can